expiry = 0; -- todo : use an array instead, might have multiple standards up

local version = GetAddOnMetadata("BattlegroundBanners","Version");
print("Battleground Banners "..version);


local frame = CreateFrame("FRAME", "BattlegroundBannersFrame");
frame:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED");

-- Event Handlers

local function alertBattleStandardPlaced(self, event, ...)
    local unitID, spell, rank, lineID, spellID = select(1, ...);
    
    
    if spellID == 17 or spellID == 23035 then
        local playerName = UnitName(unitID);
        local message = (playerName.." Placed a Battle Standard");
        
        UIErrorsFrame:AddMessage(message, 1.0, 0.0, 1.5, 3);
        
       
       expiry = GetTime() + 120;
       
       cur = GetTime();
       
    end
    
    
end


local function onUpdate(self,elapsed)

     if expiry > 0 and expiry < GetTime() then
        UIErrorsFrame:AddMessage("Battle Standard Has Expired !", 1.0, 0.0, 1.5, 3);
        expiry = 0;
    end

end

frame:SetScript("OnEvent", alertBattleStandardPlaced);
frame:SetScript("OnUpdate", onUpdate);